Contacts and results
Download campaign results
Export campaign contact outcomes as CSV, including partial exports while the campaign is still running.
GET
/
api
/
v1
/
account
/
{account_id}
/
campaigns
/
{campaign_id}
/
results
Download campaign results
curl --request GET \
--url https://api.vobiz.ai/api/v1/account/{account_id}/campaigns/{campaign_id}/results \
--header 'X-Auth-ID: <x-auth-id>' \
--header 'X-Auth-Token: <api-key>'import requests
url = "https://api.vobiz.ai/api/v1/account/{account_id}/campaigns/{campaign_id}/results"
headers = {
"X-Auth-ID": "<x-auth-id>",
"X-Auth-Token": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Auth-ID': '<x-auth-id>', 'X-Auth-Token': '<api-key>'}
};
fetch('https://api.vobiz.ai/api/v1/account/{account_id}/campaigns/{campaign_id}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));GET https://api.vobiz.ai/api/v1/account/{account_id}/campaigns/{campaign_id}/results
text/csv. Results are available while the campaign is running, so partial exports are supported.
Authentication required
X-Auth-ID— your Vobiz account IDX-Auth-Token— your Vobiz auth token
string
required
Your Vobiz account ID. Use the same value in
X-Auth-ID.string
required
Your Vobiz account ID, for example
MA_XXXXXXXX.string
required
The campaign to export.
Example
cURL
curl "https://api.vobiz.ai/api/v1/account/{account_id}/campaigns/{campaign_id}/results" \
-H "X-Auth-ID: {account_id}" \
-H "X-Auth-Token: {auth_token}" \
-o campaign-results.csv
CSV columns
row_number,to_number,from_number_used,status,call_uuid,duration,hangup_cause,attempt_number,answered_at
pending, dialling, answered, no_answer, busy, failed, retry_pending, and expired.Was this page helpful?
⌘I
Download campaign results
curl --request GET \
--url https://api.vobiz.ai/api/v1/account/{account_id}/campaigns/{campaign_id}/results \
--header 'X-Auth-ID: <x-auth-id>' \
--header 'X-Auth-Token: <api-key>'import requests
url = "https://api.vobiz.ai/api/v1/account/{account_id}/campaigns/{campaign_id}/results"
headers = {
"X-Auth-ID": "<x-auth-id>",
"X-Auth-Token": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Auth-ID': '<x-auth-id>', 'X-Auth-Token': '<api-key>'}
};
fetch('https://api.vobiz.ai/api/v1/account/{account_id}/campaigns/{campaign_id}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));